Skip to main content
Resource Center/Hardware/Primary Storage Operations

GetPrimaryStorageUsageReport

GetPrimaryStorageUsageReport

GET/zstack/v1/primary-storage/{primaryStorageUuid}/usage/report

Operation ID

GetPrimaryStorageUsageReport

Since

4.7.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • primaryStorageUuid
    StringRequired

    The primary storage UUID.

Query Parameters

  • uris
    List

    Optinal. The storage protocol.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • uriUsageForecast
    MapRequired

    See uriUsageForecast.

    • usedPhysicalCapacitiesForecast
      ListRequired

      The used physical capacities forecast.

    • UsedPhysicalCapacitiesHistory
      ListRequired

      The UsedPhysicalCapacitiesHistory value.

    • TotalPhysicalCapacitiesHistory
      ListRequired

      The TotalPhysicalCapacitiesHistory value.

    • startTime
      LongRequired

      The start time.

    • interval
      LongRequired

      The interval.

  • usageReport
    UsageReportRequired

    See usageReport

    • usedPhysicalCapacitiesForecast
      ListRequired

      The used physical capacities forecast.

    • UsedPhysicalCapacitiesHistory
      ListRequired

      The UsedPhysicalCapacitiesHistory value.

    • TotalPhysicalCapacitiesHistory
      ListRequired

      The TotalPhysicalCapacitiesHistory value.

    • startTime
      LongRequired

      The start time.

    • interval
      LongRequired

      The interval.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The detailed description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.